pub use std::{
	collections::*,
	sync::{
		Arc,
		atomic::{
			AtomicU64,
			Ordering,
		},
	},
	time::Duration,
};

pub use anyhow::bail;
pub use futures_util::StreamExt;
pub use tokio::{
	io::{
		AsyncReadExt,
		AsyncWriteExt,
	},
	sync::{
		Mutex,
		mpsc,
	},
	task::JoinHandle,
};
pub use tracing::{
	debug,
	error,
	info,
	trace,
	warn,
};

pub use crate::quinn_utils::*;

#[derive(Clone, Copy, PartialEq, Eq, PartialOrd, Ord, Hash)]
pub struct Command (pub u8);

impl Command {
	pub const CONNECT_P2_TO_P3: Command = Command (2);
	pub const CONNECT_P4_TO_P3: Command = Command (4);
	pub const CONNECT_P2_TO_P4: Command = Command (10);
	pub const CONNECT_P2_TO_P4_STEP_2: Command = Command (11);
	pub const CONNECT_P2_TO_P5: Command = Command (12);
	pub const OKAY: Command = Command (20);
}
